%global srcname sortedcontainers

%bcond_with docs
%bcond_with tests

Summary:        Pure Python sorted container types
Name:           python-%{srcname}
Version:        2.4.0
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
# pypi tarball contains no docs or tests.
Source0:        https://github.com/grantjenks/python-sortedcontainers/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description 
Sorted Containers is an Apache2 licensed sorted collections library, written in pure-Python, 
and fast as C-extensions.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

BuildRequires: make
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest python%{python3_pkgversion}-matplotlib
BuildRequires:  python%{python3_pkgversion}-numpy python%{python3_pkgversion}-scipy
%endif
%if %{with docs}
BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  dvipng
BuildRequires:  tex(anyfontsize.sty) tex(bm.sty)
%endif

%description -n python%{python3_pkgversion}-%{srcname} 
Sorted Containers is an Apache2 licensed sorted collections library, written in pure-Python, 
and fast as C-extensions.


%package -n python-%{srcname}-doc
Summary:        %{summary}

%description -n python-%{srcname}-doc
This package provides documentation for %{srcname} package.


%prep
%autosetup


%build
%py3_build

%if %{with docs}
pushd docs
make SPHINXBUILD=sphinx-build-%{python3_version} html
rm _build/html/.buildinfo
popd
%endif


%install
%py3_install


%if %{with tests}
%check
pushd tests
PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    pytest-%{python3_version}
popd
%endif


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%if %{with docs}
%files -n python-%{srcname}-doc
%license LICENSE
%doc README.rst docs/_build/html
%endif


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Wang Guodong <gordonwwang@tencent.com> - 2.4.0-1
- initial build
